FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS

 
 
LinkBack Thread Tools
 
Old 04-09-2008, 05:11 PM
Kai Schaetzl
 
Default file conflicts when updating from 5.0 to 5.1

I get these two errors when I upgrade to the current 5 base.

centos-release-5-0.0.el5.centos.2
CentOS release 5 (Final)

file /etc/yum.repos.d/CentOS-Base.repo from install of centos-release-5
-1.0.el5.centos.1 conflicts with file from package centos-yumconf-4-4.5
file /etc/sysconfig/rhn/sources from install of centos-release-5-
1.0.el5.centos.1 conflicts with file from package up2date-4.4.67-4.centos4

I think this setup is an inplace-upgrade from 4 to 5, it's been offline
for some months, now I'm resurrecting it.

CentOS-Base.repo was edited by me to point to a local repo. I haven't ever
seen this to be a problem. Is yumconf from CentOS4?
up2date-4.4.67-4.centos4 seems to be coming from CentOS 4?

Maybe I should just remove both packages before update as they don't seem
to be part of centOS 5? (at least I don't have them on 5 installs) I
wonder why this wasn't a problem when going from 4 to 5, though.

Kai

--
Kai Schätzl, Berlin, Germany
Get your web at Conactive Internet Services: http://www.conactive.com



_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 04-09-2008, 05:22 PM
Kai Schaetzl
 
Default file conflicts when updating from 5.0 to 5.1

Kai Schaetzl wrote on Wed, 09 Apr 2008 19:11:29 +0200:

> Maybe I should just remove both packages before update

Yes, this did it. There's no easy way to find out the few packages left
over from CentOS 4, isn't it?

Kai

--
Kai Schätzl, Berlin, Germany
Get your web at Conactive Internet Services: http://www.conactive.com



_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 04-09-2008, 06:37 PM
Johnny Hughes
 
Default file conflicts when updating from 5.0 to 5.1

Kai Schaetzl wrote:

Kai Schaetzl wrote on Wed, 09 Apr 2008 19:11:29 +0200:


Maybe I should just remove both packages before update


Yes, this did it. There's no easy way to find out the few packages left
over from CentOS 4, isn't it?


Kai



"yum list extras" will give you a list of everything installed that is
not in your currently defined repos.


_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 04-09-2008, 09:15 PM
Kai Schaetzl
 
Default file conflicts when updating from 5.0 to 5.1

Johnny Hughes wrote on Wed, 09 Apr 2008 13:37:12 -0500:

> "yum list extras" will give you a list of everything installed that is
> not in your currently defined repos.

Thanks. This is helpful, although it lists CentOS 5 packages as well, so
one has to be careful. For instance it lists kernel.i686 2.6.18-8.1.14.el5
which was in the 5.0 repo but isn't in the 5.1 repo anymore.

Kai

--
Kai Schätzl, Berlin, Germany
Get your web at Conactive Internet Services: http://www.conactive.com



_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 

Thread Tools




All times are GMT. The time now is 05:34 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org